print("running control script");
-- this script gets run right after initialization and after each stage has been completed


if stagesPlayed == 0 then
gofile("areamap.lua");
--gofile("mission/mission_test.lua");
--gofile("location/setting_refinery.lua");
--gofile("town/town_western.lua");
--setGameMode(3);

stagesPlayed = stagesPlayed + 1;
elseif stagesPlayed == 1 then
gofile("areamap.lua");
stagesPlayed = stagesPlayed + 1;
else
gofile("areamap.lua");
stagesPlayed = stagesPlayed + 1;
end

setTextColor(1.0, 0.75, 0.3);

saveSlot();

gofile("menu/menu_pause.lua");
deactivateMenu();

if newgameFlag == true then
print("newgameFlag");
gofile("comic/intro.lua");
messageQ("The border town of Juárez, 1983", 6);
messageQ("press escape for menu and instructions", 6);
end

newgameFlag = false;